# gl-geonature

L'instance Geonature-Citizen de Champs-Libres.

# Installation développeur :

 $ git submodule update --init --recursive
 $ docker-compose up -d
 $ docker-compose exec citizen install/install_app.sh

note: les credentials pour accéder au backend se trouvent dans /home/appuser/citizen/config

# Mise à jour de GeoNature

Certaines modifications sont faites sur le fork de GeoNature-citizen. Pour télécharger la dernièer version, faire:

$ git submodule foreach git pull git@github.com:Champs-Libres/GeoNature-citizen.git champs-libres

# Remise en route du service

 $ docker-compose up -d
 $ docker-compose exec citizen sh install/restart.sh

# Documentation :

 $ make doc

# Builder le front (pour production)

```
$ docker-compose exec citizen bash
appuser@ab136184159a:~/citizen/$ cd frontend
appuser@ab136184159a:~/citizen/frontend$ npm run ng build -- --configuration=fr --prod
```


# Modifier la config du front end

- faire des modifications dans patches/frontend/conf
- Builder le front (cfr commande ci-dessus)
- remise en route du service (cfr commande ci-desssus)

# Modifier l'image de fond

Il semble qu'un rebuild du container soit nécessaire!?